RDKit::MolSanitizeException Class Reference

class for flagging sanitization errors More...

`#include <SanitException.h>`

Inheritance diagram for RDKit::MolSanitizeException:

## Public Member Functions

| MolSanitizeException (const char *msg)
| MolSanitizeException (const std::string msg)
const char * | message () const
| ~MolSanitizeException () throw ()

## Detailed Description

class for flagging sanitization errors

Definition at line 26 of file SanitException.h.

## Constructor & Destructor Documentation

RDKit::MolSanitizeException::MolSanitizeException | ( | const char * | msg | ) |

inline

Definition at line 28 of file SanitException.h.

RDKit::MolSanitizeException::MolSanitizeException | ( | const std::string | msg | ) |

inline

Definition at line 29 of file SanitException.h.

RDKit::MolSanitizeException::~MolSanitizeException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 31 of file SanitException.h.

## Member Function Documentation

const char* RDKit::MolSanitizeException::message | ( |  | ) | const

inline

Definition at line 30 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h